%define ver 21.7
%define version 0.21.7
%define release 10mdk

Summary: The boot loader for Linux and other operating systems.
Name: lilo
Version: %{version}
Release: %{release}
Serial: 1
Copyright: MIT
Group: System/Kernel and hardware
Source: ftp://sd.dynhost.com/pub/linux/lilo/lilo-%{ver}.tar.bz2
Source2: lilo-graphic-addons.tar.bz2
#ftp://metalab.unc.edu/pub/Linux/system/boot/lilo/lilo-%{ver}.tar.bz2
#Source: ftp://lrcftp.epfl.ch/pub/linux/local/lilo/
Patch0: lilo-21.6-keytab-3mdk.patch.bz2
Patch6: lilo-21.4.4-sa5300.patch
Patch9: lilo-21.6-unsafe-and-default-table.patch.bz2
Patch10: lilo-21.4.4-2DAC960.patch
Patch20: lilo-graphic.patch.bz2
Packager: Pixel <pixel@mandrakesoft.com>
BuildRequires: /usr/bin/latex /usr/bin/dvips dev86
Exclusivearch: %{ix86}
Buildroot: %{_tmppath}/lilo-root

%package doc
Summary: More doc for %{name}
Group: System/Kernel and hardware

%description
LILO (LInux LOader) is a basic system program which boots your Linux
system.  LILO loads the Linux kernel from a floppy or a hard drive, boots
the kernel and passes control of the system to the kernel.  LILO can also
boot other operating systems.

%description doc
cf %{name} package

%prep
%setup -q -n lilo-%{ver}
%patch0 -p1
%patch6 -p1
%patch9 -p1
%patch10 -p1
%patch20 -p1

# graphic addons
bzip2 -dc %{SOURCE2} | tar xvf -

bzip2 -9 README*

%build
perl -p -i -e "s/-Wall -g/$RPM_OPT_FLAGS/" Makefile
egcs=`egcs-version`
make CC=kgcc
cd doc
make CFLAGS="$RPM_OPT_FLAGS"
dvips user.dvi -o User_Guide.ps
dvips tech.dvi -o Technical_Guide.ps
rm -f *.aux *.log *.toc

%install
rm -rf $RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT/usr
make install ROOT=$RPM_BUILD_ROOT

install -d $RPM_BUILD_ROOT%{_bindir}
mv $RPM_BUILD_ROOT/usr/sbin/* $RPM_BUILD_ROOT%{_bindir}

# graphic addons, keep default options for bmp2mdk
./bmp2mdk initcode <boot8.0-sample2.bmp >$RPM_BUILD_ROOT/boot/message-graphic

mkdir -p %buildroot/%{_mandir}/man{5,8}/
install -m644 manPages/*.5 %buildroot/%{_mandir}/man5/
install -m644 manPages/*.8 %buildroot/%{_mandir}/man8/

%clean
rm -rf $RPM_BUILD_ROOT

%post
if [ ! -e /boot/boot.b ];then
	  ln -sf boot-menu.b /boot/boot.b
fi
if [ -f /etc/lilo.conf ]; then
  if [ -x /usr/sbin/detectloader ]; then
    LOADER=$(/usr/sbin/detectloader -q)
    if [ "$LOADER" = "LILO" ]; then
      /sbin/lilo > /dev/null
    fi
  fi
fi

%files
%defattr(-,root,root)
%doc README* CHANGES COPYING INCOMPAT QuickInst bmp2mdk
%ghost /boot/boot.b
/boot/boot-graphic.b  
/boot/boot-menu.b 
/boot/boot-text.b 
/boot/chain.b 
/boot/message-graphic 
/boot/os2_d.b
/sbin/*
%{_bindir}/*
%{_mandir}/*/*

%files doc
%defattr(-,root,root)
%doc doc/*.ps

%changelog
* Sun Apr  8 2001 Chmouel Boudjnah <chmouel@mandrakesoft.com> 0.21.7-10mdk
- Call detectloader with -q.

* Sun Apr  8 2001 Chmouel Boudjnah <chmouel@mandrakesoft.com> 0.21.7-9mdk
- By default don't include the boot.b file if there is no exiting
  boot.b file then link it to boot-menu.b (this allow to keep
  graphical boot menu when upgrading if it set).

* Thu Apr  5 2001 Chmouel Boudjnah <chmouel@mandrakesoft.com> 0.21.7-8mdk
- Reinsert manpages in doc packages.

* Thu Mar 22 2001 Franois Pons <fpons@mandrakesoft.com> 0.21.7-7mdk
- fixed systematic change to text mode.

* Tue Mar 13 2001 Franois Pons <fpons@mandrakesoft.com> 0.21.7-6mdk
- modified graphic patch to include mode 0x13 (320x200) and
  true LF interpretation for display.

* Tue Mar  6 2001 Pixel <pixel@mandrakesoft.com> 0.21.7-5mdk
- merge patch from redhat (mainly CCISS)

* Mon Mar 05 2001 Franois Pons <fpons@mandrakesoft.com> 0.21.7-4mdk
- used new picture by default.

* Thu Mar 01 2001 Franois Pons <fpons@mandrakesoft.com> 0.21.7-3mdk
- changed graphic patch license to the one used by LILO so BSD.

* Wed Feb 28 2001 Franois Pons <fpons@mandrakesoft.com> 0.21.7-2mdk
- created graphic patch as in syslinux-graphic but not
  activated by default, use /boot/boot-graphic.b and
  /boot/message-graphic for graphic activation (first sample).

* Mon Feb 26 2001 Pixel <pixel@mandrakesoft.com> 0.21.7-1mdk
- new version

* Wed Jan 24 2001 Chmouel Boudjnah <chmouel@mandrakesoft.com> 0.21.6.1-2mdk
- Remove argument parsing patch for the new version.

* Tue Jan  2 2001 Pixel <pixel@mandrakesoft.com> 0.21.6.1-1mdk
- new version

* Thu Nov 23 2000 Chmouel Boudjnah <chmouel@mandrakesoft.com> 0.21.6-5mdk
- Fix argument parsing.

* Tue Nov  7 2000 Pixel <pixel@mandrakesoft.com> 0.21.6-4mdk
- capitalize summary of -doc

* Mon Nov  6 2000 Pixel <pixel@mandrakesoft.com> 0.21.6-3mdk
- fix keytab lilo so that things like "\n" aren't badly remapped (qc-latin1)

* Thu Oct 12 2000 Pixel <pixel@mandrakesoft.com> 0.21.6-2mdk
- fix-segfault-for-floppy-entry.patch

* Tue Oct 10 2000 Pixel <pixel@mandrakesoft.com> 0.21.6-1mdk
- new version

* Fri Sep 29 2000 Pixel <pixel@mandrakesoft.com> 0.21.5.1-4mdk
- fix keytab-lilo so that keycodes > 59 are not taken into account. -> fix the
'.' giving '<' on french keyboard (should not break anything...)

* Mon Sep 25 2000 Pixel <pixel@mandrakesoft.com> 0.21.5.1-3mdk
- merge in redhat's patches
  - fix up "unsafe" <johnsonm@redhat.com>
  - add i2o boot support <johnsonm@redhat.com>
  - patches for Compaqs SA5300 controller <karsten@redhat.de>
  - add bug-fix to not have lilo core-dump on some config files <Florian.LaRoche@redhat.com>
  - work around broken 2.4 kernel headers <pbrown@redhat.com>

* Tue Aug 29 2000 Pixel <pixel@mandrakesoft.com> 0.21.5.1-2mdk
- added requires dev86

* Sun Aug 27 2000 Pixel <pixel@mandrakesoft.com> 0.21.5.1-1mdk
- new version

* Wed Jul 19 2000 Pixel <pixel@mandrakesoft.com> 0.21.5-1mdk
- new version

* Wed Jul 19 2000 Pixel <pixel@mandrakesoft.com> 0.21.4.4-2mdk
- use detectloader in %%post to know wether to call lilo or not
- BM

* Mon Jun 12 2000 Pixel <pixel@mandrakesoft.com> 0.21.4.4-1mdk
- new version

* Mon May  8 2000 Pixel <pixel@mandrakesoft.com> 0.21.4.3-1mdk
- new version (RAID patches)

* Thu Apr 27 2000 Pixel <pixel@mandrakesoft.com> 0.21.4.2-2mdk
- new version

* Sat Mar 25 2000 Pixel <pixel@mandrakesoft.com> 0.21.4-1mdk
- bzip'ed README
- separated postscript doc
- really is 21-4 (serial added)

* Wed Feb 23 2000 Pixel <pixel@mandrakesoft.com> 0.22-19mdk
- Really is 0.22 (non <<official>> version with EDD enabled)
  (EDD means no more 1024 cylinder problem)

* Fri Feb 18 2000 Chmouel Boudjnah <chmouel@mandrakesoft.com> 0.22-18mdk
- Silly me reuploading and upgrade the ChangeLog.

* Wed Feb 16 2000 Chmouel Boudjnah <chmouel@mandrakesoft.com> 0.22-17mdk
- Add loopdev and second patch (r).

* Tue Oct 19 1999 Chmouel Boudjnah <chmouel@mandrakesoft.com>
- Remove the EBDA patch from zab and put in the EBDA patch
  from the VA Research RPM.  This fixes the EBDA issues.(r)
- Added ONE_SHOT to the compile options so that the lilo
  prompt won't timeout once you hit a key at the boot prompt(r)

* Wed Sep 22 1999 Pixel <pixel@mandrakesoft.com>
- added defattr (no comment)

* Tue Sep 21 1999 Pixel <pixel@mandrakesoft.com>
- patched keytab-lilo.pl (again!) to make it work (better) (changed a regexp)

* Sun Sep 19 1999 Pixel <pixel@mandrakesoft.com>
- added -DONE_SHOT to patch lilo-ebda (that way timeout is disabled as soon as a
  key is pressed)
- patched keytab-lilo.pl to make it work (removed bad suffix .map)

* Sun Aug 22 1999 Chmouel Boudjnah <chmouel@mandrakesoft.com>

- Add the patch to boot on Compaq Smart Array 3200.

* Wed Jul 21 1999 Axalon Bloodstone <axalon@linux-mandrake.com>
- recommend manual lilo installation if post fails

* Mon Jul 19 1999 Pablo Saratxaga <pablo@mandrakesoft.com>
- added turkish description

* Mon Jul 19 1999 Thierry Vignaud <tvignaud@mandrakesoft.com>
- Add french description from Gregus <gregus@etudiant.net>

* Wed Jun 23 1999 Chmouel Boudjnah <chmouel@mandrakesoft.com>
- Use the ebda patch from VA-Research.

* Thu Jun 10 1999 Bernhard Rosenkraenzer <bero@linux-mandrake.com>
- Use -DIGNORECASE -DVARSETUP -DREWRITE_TABLE -DLCF_LARGE_EBDA
  -DLARGE_EBDA by default. LARGE_EBDA is needed for some SMP systems.

* Mon Apr 12 1999 Chmouel Boudjnah <chmouel@mandrakesoft.com>
- Add patch for Mandrake-6.0.
- Add keyab-lilo.pl to the file-list

* Sat Apr 10 1999 Bernhard Rosenkraenzer <bero@linux-mandrake.com>
- Mandrake adaptions
- bzip2 man/info pages
- add de locale
- handle RPM_OPT_FLAGS

* Sun Dec  6 1998 Matt Wilson <msw@redhat.com>
- updated to release 0.21
- patched to build on 2.1.x kernels

* Thu May 07 1998 Prospector System <bugs@redhat.com>
- translations modified for de, fr, tr

* Sun Oct 19 1997 Erik Troan <ewt@redhat.com>
- updated to release 0.20
- uses a build root

* Tue Jul 08 1997 Erik Troan <ewt@redhat.com>
- built against glibc
